> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TTD/TTV/TTR/TTC metrics for a case



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/cases/{id}/metrics
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/cases/{id}/metrics:
    get:
      tags:
        - Cases
      summary: Get TTD/TTV/TTR/TTC metrics for a case
      operationId: CasesController_getMetrics
      parameters:
        - name: id
          required: true
          in: path
          description: Case identifier
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseMetricsDto'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CaseMetricsDto:
      type: object
      properties:
        ttdSeconds:
          type: number
          description: Time to detect for this case, in seconds
          nullable: true
        ttvMilliseconds:
          type: number
          description: Time to verdict for this case, in milliseconds
          nullable: true
        ttrMilliseconds:
          type: number
          description: Time to remediate for this case, in milliseconds
          nullable: true
        ttcSeconds:
          type: number
          description: Time to close for this case, in seconds
          nullable: true
      required:
        - ttdSeconds
        - ttvMilliseconds
        - ttrMilliseconds
        - ttcSeconds
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````